- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- SaasUsageReport
- ContentTransferDetails
- Try it!
Find SaaS usage reports of a customer based on the given search and sorting criteria.
HTTP request
GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:findSaasUsage
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customer |
Required. Obfuscated customer ID prefixed with "customers/C" or "customers/my_customer". |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of reports to return. The service may return fewer than this value. If unspecified, at most 100 reports will be returned. The maximum value is 200; values above 200 will be coerced to 200. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
filter |
Optional. The filter expression to narrow down the SaaS reports to return. Supported operators are: =, !=, <, <=, >, >=, :. Logical operators AND, OR, and NOT are supported. Supported fields:
Example: |
orderBy |
Optional. The order by expression to sort the SaaS reports. Supported fields:
Default order is ascending. To specify descending order for a field, append " desc". Example: |
Request body
The request body must be empty.
Response body
Response to reports.findSaasUsage method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"saasReports": [
{
object ( |
| Fields | |
|---|---|
saasReports[] |
The list of SaaS usage reports. |
nextPageToken |
A token, which can be sent as |
totalSize |
Total number of SaaS usage reports that match the request. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/chrome.management.reports.readonly
SaasUsageReport
Represents a single SaaS report entry.
| JSON representation |
|---|
{
"app": string,
"orgUnitId": string,
"category": string,
"organization": string,
"foundedYear": integer,
"headquarters": string,
"primaryDomain": string,
"domains": [
string
],
"encryptionProtocols": [
string
],
"visitsCount": string,
"distinctUsersCount": string,
"distinctBrowsersCount": string,
"contentTransferDetails": {
object ( |
| Fields | |
|---|---|
app |
Output only. The name of the application. |
orgUnitId |
Output only. The ID of the organizational unit. |
category |
Output only. The category of the application. |
organization |
Output only. The organization that develops the application. |
foundedYear |
Output only. The year the organization was founded. |
headquarters |
Output only. The headquarters location of the organization. |
primaryDomain |
Output only. The primary domain of the application. |
domains[] |
Output only. A list of domains and subdomains associated with the application. |
encryptionProtocols[] |
Output only. A list of encryption protocols used to access the application. |
visitsCount |
Output only. Total number of visits to the application. |
distinctUsersCount |
Output only. Number of distinct users who visited the application. |
distinctBrowsersCount |
Output only. Number of distinct browsers that visited the application. |
contentTransferDetails |
Output only. Provides information about content transfer events, if available. |
firstNavigationTime |
Output only. The timestamp when the application was first navigated to. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
lastNavigationTime |
Output only. The timestamp when the application was last navigated to. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
ContentTransferDetails
Provides information about content transfer events, if available.
| JSON representation |
|---|
{ "contentTransferCount": string } |
| Fields | |
|---|---|
contentTransferCount |
Output only. Total number of content transfers associated with the application. |